Jupiter ERP
Account API

Update service protocol template

/api/account/service-protocol-templates/{id}

PATCHHTTP
patch/api/account/service-protocol-templates/{id}

Example request

PATCH https://api.jupiter-erp.com/api/account/service-protocol-templates/example-id

Code
curl -X PATCH 'https://api.jupiter-erp.com/api/account/service-protocol-templates/example-id' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'X-Account-Uuid: YOUR_ACCOUNT_UUID' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "content": "string"
}'

Parameters

NameInRequiredDescription
idpathyes

Request body

Required

FieldTypeDescription
contentstring
namestring
Example request
{
  "name": "string",
  "content": "string"
}

Responses

200OK
FieldTypeDescription
content*string
created_atstring (date-time)Creation timestamp in ISO 8601 format.
id*integer
name*string
updated_atstring (date-time)Last update timestamp in ISO 8601 format.
Example response
{
  "id": 0,
  "name": "string",
  "content": "string",
  "updated_at": "2025-01-14T13:51:15.000Z",
  "created_at": "2025-01-14T13:51:15.000Z"
}
Service protocol templates

Questions about integration?

PATCH /api/account/service-protocol-templates/{id} · Jupiter ERP